macroScript ConvertPointsToBezier
	category:"I-Max_Scripts"
	buttonText:"To Bezier"
(
	D=#()
	for obj in selection do
	(
		If superclassof obj == shape then
		(
				shp = obj
				convertToSplineShape shp
				local s = numsplines shp
				for o in 1 to s do
				(
					n = numknots shp o
					for t in 1 to n do 
					(
						setKnotType shp o t #bezier
						updateshape shp
						)
					)
				append D shp
			)
		)
	select D
	)
